Webhooks

Create or replace outbound webhook configuration

POST
/api/v1/webhooks/config

Scope: webhooks:manage

Replaces the configuration wholesale — send the complete enabledEvents list, not a change.

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer vrf_live_... or vrf_test_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/webhooks/config" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/hooks/verifisha",    "enabled": true,    "enabledEvents": [      "report.ready",      "report.failed",      "payment.paid",      "monitoring.alert.created"    ],    "secret": "whsec_replace_with_a_long_random_value"  }'
{  "url": "http://example.com",  "enabled": true,  "enabledEvents": [    "report.created"  ],  "secret": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}